Estimate checkout

Stateless price estimation with tax and coupon preview. Does not create a session — use this to show a price breakdown before creating a checkout.

POST https://api.pandabase.io/v2/stores/{storeId}/checkouts/estimate

Path parameters

storeId string required

Store ID (shp_ prefix)

Body parameters

items array of CatalogItem or DynamicItem required

No description.

country string required

ISO 3166-1 alpha-2 country code for tax calculation (length 2–2)

state string

State/province for tax calculation (length 0–64)

coupon_code string

Coupon code to preview discount (length 0–64)

tax_id string

Tax ID (VAT number) for tax exemption (length 0–32)

Response 200

Checkout estimate

ok boolean required

No description.

data EstimateResponse required

No description.

Response 400

Error response

ok boolean required

No description.

error string required

No description.

Response 404

Error response

ok boolean required

No description.

error string required

No description.

Request
curl -X POST https://api.pandabase.io/v2/stores/:storeId/checkouts/estimate \  -H "Content-Type: application/json" \  -d '{"items":[{"product_id":"string","variant_id":"string","quantity":0}],"country":"string","state":"string","coupon_code":"string","tax_id":"string"}'
Response
{  "ok": true,  "data": {    "merchant": {      "id": "string",      "name": "string",      "handle": "string",      "slug": "string",      "logo": "string",      "favicon": "string",      "accentColor": "string",      "primaryColor": "string",      "statementDescriptor": "string",      "supportEmail": "string"    },    "subtotal": 0,    "discount": {      "code": "string",      "amount": 0,      "type": "PERCENTAGE",      "value": 0    },    "tax": {      "rate": 0,      "amount": 0    },    "total": 0,    "items": [      {        "name": "string",        "amount": 0,        "quantity": 0,        "image": "string"      }    ],    "available_payment_methods": [      "CARD",      "APPLE_PAY",      "GOOGLE_PAY",      "IDEAL",      "BANCONTACT",      "MULTIBANCO",      "MB_WAY",      "EPS",      "PRZELEWY24",      "BLIK",      "AMAZON_PAY"    ]  }}